summaryrefslogtreecommitdiff
path: root/tests/boilerplate.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/boilerplate.sh')
-rwxr-xr-xtests/boilerplate.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/boilerplate.sh b/tests/boilerplate.sh
new file mode 100755
index 0000000..2ebafa2
--- /dev/null
+++ b/tests/boilerplate.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+BUILDDIR=${BUILDDIR:-build}
+mkdir -p $BUILDDIR
+
+function test_check_retval
+{
+ TEST_RETVAL=$?
+
+ if [ $TEST_RETVAL != 0 ]
+ then
+ exit $TEST_RETVAL
+ fi
+}